[rspec-users] Cannot build trunk

David Chelimsky dchelimsky at gmail.com
Sat Sep 22 17:37:54 EDT 2007

On 9/22/07, Doug Wright <douglasdoright at gmail.com> wrote:
> I apologize if this is a very dumb newbie issue, but I really want to
> experiment with the new "Story Runner" functionality in rspec and I'm having
> trouble using the trunk.
> I've tried in both windows and linux environments and have different
> problems on each.
> On linux, I execute svn co
> svn://rubyforge.org/var/svn/rspec/trunk to check out the
> trunk.  This completes successfully, so I try to build the gem.  The readme
> on building says:
> "check out source from
> svn://rubyforge.org/var/svn/rspec/trunk. Then do the
> following:
> rake gem
> gem install pkg/rspec-0.x.x.gem (you may have to sudo)"
> This doesn't work in trunk, so I cd into trunk/rspec and execute rake gem.
> This fails with:
> dwright at hendrix:~/trunk/rspec$ rake gem
>  (in /home/dwright/trunk/rspec)
> mkdir pkg
>  rm -rf pkg/rspec_on_rails
> mkdir pkg
>  rm -rf pkg/RSpec.tmbundle
> rake aborted!
>  No such file or directory - ../spec_ui
> /home/dwright/trunk/rspec/Rakefile:227:in `chdir'
> (See full trace by running task with --trace)

This is a bug. Please report bugs to the rspec tracker:


> On windows (vista), I can't seem to successfully check out the project.
> When I execute:
> svn co svn://rubyforge.org/var/svn/rspec/trunk
> I get the following error part-way through the checkout:
> svn: In directory 'trunk\RSpec.tmbundle\Preferences'
> svn: Can't move
> 'trunk\RSpec.tmbundle\Preferences\.svn\tmp\Symbol List:
> Behaviour.tmPreferences.tmp.tmp' to
> 'trunk\RSpec.tmbundle\Preferences\.svn\tmp\Symbol List:
> Behaviour.tmPreferences.tmp': The parameter is incorrect.
> I can't proceed in this case because the checkout won't complete.  This may
> be an svn setup problem on my part and, if so, sorry to bring it here.
> Overall, I'm assuming that when I get the gem built and installed, I will
> need to get the "edge" version of the rspec and rspec_on_rails plugins in my
> rails project in order to play with Story Runner.  I tried just getting the
> latest versions of the plugins, but without updating my gem, these
> (understandably) don't work.
> If anyone has the recipe for setting this up so that I can play with Story
> Runner, I'd greatly appreciate it.  Again, I apologize if these are overly
> newbie questions.  I'm not very experienced with subversion and relatively
> new to rails - but absolutely loving rspec!
> Thanks!
> -Doug Wright
> _______________________________________________
> rspec-users mailing list
> rspec-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/rspec-users

More information about the rspec-users mailing list